import * as _walkeros_core_dev from '@walkeros/core/dev';
import { z } from '@walkeros/core/dev';
import { DestinationWeb, sendWeb } from '@walkeros/web-core';
import { Flow } from '@walkeros/core';

declare const SettingsSchema: z.ZodObject<{
    url: z.ZodString;
    headers: z.ZodOptional<z.ZodRecord<z.ZodString, z.ZodString>>;
    method: z.ZodDefault<z.ZodString>;
    transform: z.ZodOptional<z.ZodAny>;
    transport: z.ZodDefault<z.ZodEnum<{
        fetch: "fetch";
        xhr: "xhr";
        beacon: "beacon";
    }>>;
}, z.core.$strip>;
type Settings = z.infer<typeof SettingsSchema>;

declare const MappingSchema: z.ZodObject<{}, z.core.$strip>;
type Mapping = z.infer<typeof MappingSchema>;

declare const settings: _walkeros_core_dev.JSONSchema;
declare const mapping: _walkeros_core_dev.JSONSchema;

type index$1_Mapping = Mapping;
declare const index$1_MappingSchema: typeof MappingSchema;
type index$1_Settings = Settings;
declare const index$1_SettingsSchema: typeof SettingsSchema;
declare const index$1_mapping: typeof mapping;
declare const index$1_settings: typeof settings;
declare namespace index$1 {
  export { type index$1_Mapping as Mapping, index$1_MappingSchema as MappingSchema, type index$1_Settings as Settings, index$1_SettingsSchema as SettingsSchema, index$1_mapping as mapping, index$1_settings as settings };
}

interface Env extends DestinationWeb.Env {
    sendWeb?: typeof sendWeb;
}

declare const init: Env | undefined;
declare const push: Env;
/**
 * Simulation tracking paths
 * Specifies which function calls to track during simulation
 */
declare const simulation: string[];

declare const env_init: typeof init;
declare const env_push: typeof push;
declare const env_simulation: typeof simulation;
declare namespace env {
  export { env_init as init, env_push as push, env_simulation as simulation };
}

declare const entityAction: Flow.StepExample;
declare const pageView: Flow.StepExample;
declare const customTransform: Flow.StepExample;

declare const step_customTransform: typeof customTransform;
declare const step_entityAction: typeof entityAction;
declare const step_pageView: typeof pageView;
declare namespace step {
  export { step_customTransform as customTransform, step_entityAction as entityAction, step_pageView as pageView };
}

declare const index_env: typeof env;
declare const index_step: typeof step;
declare namespace index {
  export { index_env as env, index_step as step };
}

export { index as examples, index$1 as schemas };
